<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Jalankan migrasi.
     */
    public function up(): void
    {
        // Membuat tabel kategoris
        Schema::create('kategoris', function (Blueprint $table) {
            $table->id();  // id sebagai primary key
            $table->string('kategori')->unique(); // Nama kategori, misalnya 'makanan berat', 'cemilan'
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('kategoris');
    }
};
